Bug 57503 - Log4J Logging Information Incomplete
Log4J Logging Information Incomplete
Product: Tomcat 8
Classification: Unclassified
Component: Documentation
PC All
: P2 normal (vote)
: ----
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2015-01-26 17:56 UTC by George Sexton
Modified: 2015-02-01 14:25 UTC (History)
0 users


Note You need to log in before you can comment on or make changes to this bug.
Description George Sexton 2015-01-26 17:56:26 UTC
The Logging in Tomcat documentation states in the Log4J section on step 2 states:

Download Log4J (v1.2 or later).

This is incorrect. The current version of log4j (2.1) does not work with Tomcat 8. I have verified this. I configured per the instructions and log4j did not work. When I replaced the 2.1 jar with the current 1.2.x jar, logging worked as expected.

The documentation should reflect that version 1.2.x is required, or Tomcat should be updated to work with the 2.1 jar and the documentation updated to reflect that requirement.
Comment 1 Mark Thomas 2015-02-01 14:25:27 UTC
Fix in trunk, 8.0.x (for 8.0.19 onwards), 7.0.x (for 7.0.60 onwards) and 6.0.x (for 6.0.44 onwards).